import { Modal, ModalService } from '@zeedhi/common';

export class PendingReleasesModalController {
  private pendingReleasesModal!: Modal;

  public async createPendingReleasesModal() {
    this.pendingReleasesModal = await ModalService.createFromJson('/modals/pendingReleasesModal', true);
  }

  public destroyPendingReleasesModal() {
    this.pendingReleasesModal?.destroy();
  }

  public openPendingReleasesModal() {
    this.pendingReleasesModal.show();
  }

  public closePendingReleasesModal() {
    this.pendingReleasesModal.hide();
  }
}
