#!/bin/sh
SCRIPTS_PATH=$1

REPORT_BIRT_CONFIG_PATH=$2

BIRT_ORA_HOST=$3
BIRT_ORA_PORT=$4
BIRT_ORA_DBNAME=$5
BIRT_ORA_USER=$6
BIRT_ORA_PASSWORD=$7
BIRT_ORA_WALLET_BOOL=$8
TEK_SAAS_BOOL=$9
BIRT_ORA_WALLET_PREFIX=${10}
DB_VPD_BOOL=${11}

cd $REPORT_BIRT_CONFIG_PATH
if [ -f connection.js ]; then
    echo 'Update connection.js -----------------------------------------------------'
    $SCRIPTS_PATH/replace.sh "<>BIRT_ORA_HOST<>"                          "$BIRT_ORA_HOST"           "connection.js"
    $SCRIPTS_PATH/replace.sh "<>BIRT_ORA_PORT<>"                          "$BIRT_ORA_PORT"           "connection.js"
    $SCRIPTS_PATH/replace.sh "<>BIRT_ORA_DBNAME<>"                        "$BIRT_ORA_DBNAME"         "connection.js"
    $SCRIPTS_PATH/replace.sh "<>BIRT_ORA_USER<>"                          "$BIRT_ORA_USER"           "connection.js"
    $SCRIPTS_PATH/replace.sh "<>BIRT_ORA_PASSWORD<>"                      "$BIRT_ORA_PASSWORD"       "connection.js"
    $SCRIPTS_PATH/replace.sh "<>BIRT_ORA_WALLET_BOOL<>"                   "$BIRT_ORA_WALLET_BOOL"    "connection.js"
    $SCRIPTS_PATH/replace.sh "<>BIRT_ORA_WALLET_PREFIX<>"                 "$BIRT_ORA_WALLET_PREFIX"  "connection.js"
    $SCRIPTS_PATH/replace.sh "<>TEK_SAAS_BOOL<>"                          "$TEK_SAAS_BOOL"           "connection.js"
fi

if [ -d "$REPORT_BIRT_CONFIG_PATH/config" ]; then
    cd $REPORT_BIRT_CONFIG_PATH/config
    if [ -f connection.json ]; then
        echo 'Update connection.json ---------------------------------------------------'
        $SCRIPTS_PATH/replace.sh "<>BIRT_ORA_HOST<>"                    "$BIRT_ORA_HOST"           "connection.json"
        $SCRIPTS_PATH/replace.sh "<>BIRT_ORA_PORT<>"                    "$BIRT_ORA_PORT"           "connection.json"
        $SCRIPTS_PATH/replace.sh "<>BIRT_ORA_DBNAME<>"                  "$BIRT_ORA_DBNAME"         "connection.json"
        $SCRIPTS_PATH/replace.sh "<>BIRT_ORA_USER<>"                    "$BIRT_ORA_USER"           "connection.json"
        $SCRIPTS_PATH/replace.sh "<>BIRT_ORA_PASSWORD<>"                "$BIRT_ORA_PASSWORD"       "connection.json"
        $SCRIPTS_PATH/replace.sh "<>DB_VPD_BOOL<>"                      "$DB_VPD_BOOL"             "connection.json"
    fi
fi
